import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

		class EndGameDialog extends JDialog implements ActionListener{
			boolean choice;
			EndGameDialog(Frame owner){
				super(owner, "GAME ENDED", true);
				setSize(200,80);
				setLocationRelativeTo(owner);
				JPanel buttons = new JPanel();
				buttons.setLayout(new FlowLayout());
				JLabel label = new JLabel("Play Again?");
				JButton yes = new JButton("Yes");
				JButton no = new JButton("No");
				yes.addActionListener(this);
				no.addActionListener(this);
				buttons.add(label);
				buttons.add(yes);
				buttons.add(no);
				getContentPane().add(buttons,BorderLayout.SOUTH);
			}
			boolean getChoice(){
				return choice;
			}
			public void actionPerformed(ActionEvent e) {
				choice = false;
				if( e.getActionCommand().equalsIgnoreCase("Yes") ){
					choice = true;
				}
				hide();
			}
		} // end of MyDialog
