import java.awt.*;
import java.util.LinkedList;

public abstract class Sprite{ //! make it an interface and join Display and Court
	double dirAngle;
	Vector2D location;
	Vector2D locationAfterMove;

	abstract public void draw(Graphics g);
	abstract public void run(LinkedList collisionObjects);
	abstract public boolean checkCollision(Buble buble);
	
	Sprite(double x, double y, double angle){
		location = new Vector2D(x,y);
		dirAngle = angle;
		locationAfterMove = new Vector2D(x,y);
	}

}
